Bug 251060 - rhn-custom-info bad passwd returns unhandled exception
rhn-custom-info bad passwd returns unhandled exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
501
All Linux
low Severity low
: ---
: ---
Assigned To: Sayli Karmarkar
John Matthews
na
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2007-08-06 15:55 EDT by wes hayutin
Modified: 2009-09-10 16:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2007-08-06 15:55:39 EDT
[root@fjs-0-19 rhn]# rhn-custom-info -l -uadmin
/usr/lib/python2.3/optik.py:8: DeprecationWarning: the optik interface is
deprecated; please use optparse instead
  DeprecationWarning)
Password: 
Error code:  -1
unhandled internal exception: error.invalid_login


low priority however.. this is an ugly return for a bad passwd.
Comment 3 Sayli Karmarkar 2008-11-20 12:50:52 EST
Fixed to give "Invalid login information" error message in case of bad loginname/password. Also fixed DeprecationWarning that was being generated.

~SayliK
Comment 6 John Matthews 2009-02-10 19:47:56 EST
I don't see the newer package in rhn-tools channel.

From a client registered to webqa and subscribed to rhn-tools:

yum info rhn-custom-info
Loaded plugins: rhnplugin, security
Available Packages
Name       : rhn-custom-info
Arch       : noarch
Version    : 5.1.0
Release    : 1.el5
Size       : 8.2 k
Repo       : rhn-tools-rhel-i386-server-5
Summary    : set and list custom values for RHN-enabled machines
License    : RHN Subscription License
Description: Allows for the setting and listing of custom key/value pairs for an RHN-enabled system.

Putting back on MODIFIED
Comment 7 Sayli Karmarkar 2009-06-12 11:51:04 EDT
I can see rhn-custom-info-5.3.0-2.el5sat.noarch.rpm in rhn-tools channel now. Moving to on_qa. 

~SayliK
Comment 8 John Matthews 2009-06-16 10:14:19 EDT
ISO: Satellite-5.3.0-RHEL5-re20090612.0-i386-embedded-oracle.iso

# rhn-custom-info -l -uadmin
Password: 
Error code:  2950
redstone.xmlrpc.XmlRpcFault: Either the password or username is incorrect.
Comment 9 John Sefler 2009-08-28 11:16:35 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

[root@rlx-0-04 ~]# rpm -q rhn-custom-info
rhn-custom-info-5.3.0-2.el5sat
[root@rlx-0-04 ~]# yum info rhn-custom-info
Loaded plugins: rhnplugin, security
Installed Packages
Name       : rhn-custom-info
Arch       : noarch
Version    : 5.3.0
Release    : 2.el5sat
Size       : 20 k
Repo       : installed
Summary    : set and list custom values for RHN-enabled machines
License    : GPLv2
Description: Allows for the setting and listing of custom key/value pairs for an RHN-enabled system.

[root@rlx-0-04 ~]# rhn-custom-info -l -uadmin
Password: 
Error code:  2950
redstone.xmlrpc.XmlRpcFault: Either the password or username is incorrect.

[root@rlx-0-04 ~]# 

moving to RELEASE_PENDING
Comment 10 Brandon Perkins 2009-09-10 16:21:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.